From ff44f24377756e4163ca1c544c5d6335257aee1e Mon Sep 17 00:00:00 2001
From: Andreas Beckmann <anbe@debian.org>
Date: Wed, 22 Sep 2021 08:49:14 +0200
Subject: [PATCH 1/2] backport error on unknown conftests

for easier backporting of future conftest.sh changes
---
 conftest.sh          | 12 ++++++++++++
 nvidia/nvidia.Kbuild |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/conftest.sh b/conftest.sh
index e19b0ac..0c091ea 100755
--- a/conftest.sh
+++ b/conftest.sh
@@ -4646,6 +4646,18 @@ compile_test() {
 
             compile_check_conftest "$CODE" "NV_ACPI_VIDEO_BACKLIGHT_USE_NATIVE" "" "functions"
         ;;
+
+        # When adding a new conftest entry, please use the correct format for
+        # specifying the relevant upstream Linux kernel commit.
+        #
+        # <function> was added|removed|etc by commit <sha> ("<commit message")
+        # in <kernel-version> (<commit date>).
+
+        *)
+            # Unknown test name given
+            echo "Error: unknown conftest '$1' requested" >&2
+            exit 1
+        ;;
     esac
 }
 
diff --git a/nvidia/nvidia.Kbuild b/nvidia/nvidia.Kbuild
index d6995ca..39d8152 100644
--- a/nvidia/nvidia.Kbuild
+++ b/nvidia/nvidia.Kbuild
@@ -105,7 +105,7 @@ NV_OBJECTS_DEPEND_ON_CONFTEST += $(NVIDIA_OBJECTS)
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += remap_pfn_range
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += hash__remap_4k_pfn
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += follow_pfn
-NV_CONFTEST_FUNCTION_COMPILE_TESTS += vmap
+#NV_CONFTEST_FUNCTION_COMPILE_TESTS += vmap
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += set_pages_uc
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += list_is_first
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += set_memory_uc
@@ -127,7 +127,7 @@ NV_CONFTEST_FUNCTION_COMPILE_TESTS += acpi_walk_namespace
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += pci_domain_nr
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += dma_mapping_error
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += sg_alloc_table
-NV_CONFTEST_FUNCTION_COMPILE_TESTS += sg_init_table
+#NV_CONFTEST_FUNCTION_COMPILE_TESTS += sg_init_table
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += pci_get_domain_bus_and_slot
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += get_num_physpages
 NV_CONFTEST_FUNCTION_COMPILE_TESTS += efi_enabled
-- 
2.20.1

